---
title: Microdata
slug: Web/HTML/Microdata
tags:
  - Composing
  - Example
  - HTML
  - Microdata
  - Reference
  - SEO
  - Search
---
<p>Microdata is part of the {{glossary("WHATWG")}} HTML Standard and is used to nest metadata within existing content on web pages. Search engines and web crawlers can extract and process microdata from a web page and use it to provide a richer browsing experience for users. Search engines benefit greatly from direct access to this structured data because it allows search engines to understand the information on web pages and provide more relevant results to users. Microdata uses a supporting vocabulary to describe an item and name-value pairs to assign values to its properties. Microdata is an attempt to provide a simpler way of annotating HTML elements with machine-readable tags than the similar approaches of using RDFa and classic microformats.</p>

<p>At a high level, microdata consists of a group of name-value pairs. The groups are called items, and each name-value pair is a property. Items and properties are represented by regular elements.</p>

<ul>
 <li>To create an item, the <strong>itemscope</strong> attribute is used.</li>
 <li>To add a property to an item, the <strong>itemprop </strong>attribute is used on one of the item's descendants.</li>
</ul>

<h2 id="Vocabularies">Vocabularies</h2>

<p>Google and other major search engines support the <a href="https://schema.org">Schema.org</a> vocabulary for structured data. This vocabulary defines a standard set of type names and property names, for example, <a href="http://schema.org/MusicEvent">Schema.org Music Event</a> indicates a concert performance, with <a href="http://schema.org/startDate">startDate</a> and <a href="http://schema.org/location">location</a> properties to specify the concert's key details. In this case, <a href="http://schema.org/MusicEvent">Schema.org Music Event</a> would be the URL used by itemtype and startDate and location would be itemprop's that <a href="http://schema.org/MusicEvent">Schema.org Music Event</a> defines.</p>

<div class="note">
<p><strong>Note:</strong> More about itemtype attributes can be found at <a href="http://schema.org/Thing">http://schema.org/Thing</a>.</p>
</div>

<p>Microdata vocabularies provide the semantics or meaning of an Item. Web developers can design a custom vocabulary or use vocabularies available on the web, such as the widely used <a href="http://schema.org">schema.org</a> vocabulary. A collection of commonly used markup vocabularies are provided by Schema.org.</p>

<p>Commonly used vocabularies:</p>

<ul>
 <li>Creative works: <a href="http://schema.org/CreativeWork">CreativeWork</a>, <a href="http://schema.org/Book">Book</a>, <a href="http://schema.org/Movie">Movie</a>, <a href="http://schema.org/MusicRecording">MusicRecording</a>, <a href="http://schema.org/Recipe">Recipe</a>, <a href="http://schema.org/TVSeries">TVSeries</a></li>
 <li>Embedded non-text objects: <a href="http://schema.org/AudioObject">AudioObject</a>, <a href="http://schema.org/ImageObject">ImageObject</a>, <a href="http://schema.org/VideoObject">VideoObject</a></li>
 <li><a href="http://schema.org/Event">Event</a></li>
 <li><a href="http://schema.org/docs/meddocs.html">Health and medical types</a>: Notes on the health and medical types under <a href="http://schema.org/MedicalEntity">MedicalEntity</a></li>
 <li><a href="http://schema.org/Organization">Organization</a></li>
 <li><a href="http://schema.org/Person">Person</a></li>
 <li><a href="http://schema.org/Place">Place</a>, <a href="http://schema.org/LocalBusiness">LocalBusiness</a>, <a href="http://schema.org/Restaurant">Restaurant</a></li>
 <li><a href="http://schema.org/Product">Product</a>, <a href="http://schema.org/Offer">Offer</a>, <a href="http://schema.org/AggregateOffer">AggregateOffer</a></li>
 <li><a href="http://schema.org/Review">Review</a>, <a href="http://schema.org/AggregateRating">AggregateRating</a></li>
 <li><a href="http://schema.org/Action">Action</a></li>
 <li><a href="http://schema.org/Thing">Thing</a></li>
 <li><a href="http://schema.org/Intangible">Intangible</a></li>
</ul>

<p>Major search engine operators like Google, Microsoft, and Yahoo! rely on the <a href="http://schema.org/">schema.org</a> vocabulary to improve search results. For some purposes, an ad-hoc vocabulary is adequate. For others, a vocabulary will need to be designed. Where possible, authors are encouraged to re-use existing vocabularies, as this makes content re-use easier.</p>

<h2 id="Localization">Localization</h2>

<p>In some cases, search engines covering specific regions may provide locally-specific extensions of microdata. For example, <a href="https://www.yandex.com/">Yandex</a>, a major search engine in Russia, supports microformats such as hCard (company contact information), hRecipe (food recipe), hReview (market reviews) and hProduct (product data) and provides its own format for the definition of the terms and encyclopedic articles. This extension was made to solve transliteration problems between the Cyrillic and Latin alphabets. Due to the implementation of additional marking parameters of Schema's vocabulary, the indexation of information in Russian-language web-pages became considerably more successful.</p>

<h2 id="Global_attributes">Global attributes</h2>

<p><a href="/en-US/docs/Web/HTML/Global_attributes/itemid">itemid </a>– The unique, global identifier of an item.</p>

<p><a href="/en-US/docs/Web/HTML/Global_attributes/itemprop">itemprop </a>– Used to add properties to an item. Every HTML element may have an itemprop attribute specified, where an itemprop consists of a name and value pair.</p>

<p><a href="/en-US/docs/Web/HTML/Global_attributes/itemref">itemref</a> – Properties that are not descendants of an element with the <code>itemscope</code> attribute can be associated with the item using an <strong>itemref</strong>. Itemref provides a list of element ids (not <code>itemid</code>s) with additional properties elsewhere in the document.</p>

<p><a href="/en-US/docs/Web/HTML/Global_attributes/itemscope">itemscope</a> – Itemscope (usually) works along with <a href="/en-US/docs/Web/HTML/Global_attributes/itemtype">itemtype </a>to specify that the HTML contained in a block is about a particular item. itemscope creates the Item and defines the scope of the itemtype associated with it. itemtype is a valid URL of a vocabulary (such as <a class="external external-icon" href="http://schema.org/">schema.org</a>) that describes the item and its properties context.</p>

<p><a href="/en-US/docs/Web/HTML/Global_attributes/itemtype">itemtype</a> – Specifies the URL of the vocabulary that will be used to define itemprop's (item properties) in the data structure. <a href="/en-US/docs/Web/HTML/Global_attributes/itemscope">Itemscope</a> is used to set the scope of where in the data structure the vocabulary set by itemtype will be active.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div itemscope itemtype="http://schema.org/SoftwareApplication"&gt;
  &lt;span itemprop="name"&gt;Angry Birds&lt;/span&gt; -

  REQUIRES &lt;span itemprop="operatingSystem"&gt;ANDROID&lt;/span&gt;&lt;br&gt;
  &lt;link itemprop="applicationCategory" href="http://schema.org/GameApplication"/&gt;

  &lt;div itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating"&gt;
    RATING:
    &lt;span itemprop="ratingValue"&gt;4.6&lt;/span&gt; (
    &lt;span itemprop="ratingCount"&gt;8864&lt;/span&gt; ratings )
  &lt;/div&gt;

  &lt;div itemprop="offers" itemscope itemtype="http://schema.org/Offer"&gt;
    Price: $&lt;span itemprop="price"&gt;1.00&lt;/span&gt;
    &lt;meta itemprop="priceCurrency" content="USD" /&gt;
  &lt;/div&gt;
&lt;/div&gt;</pre>

<h3 id="Structured_data">Structured data</h3>

<div class="VIpgJd-VgwJlc-bN97Pc">
<div class="ibnC6b-sM5MNb">
<div class="NbYDle">
<div class="SmKAyb-jyrRxf IQ5j-oKdM2c" style="padding-left: 0px;">
<div class="jyrRxf-eEDwDf l5asRc">
<table class="standard-table">
 <tbody>
  <tr>
   <td colspan="1" rowspan="4">itemscope</td>
   <td>itemtype</td>
   <td colspan="2" rowspan="1"><span>SoftwareApplication (</span>http://schema.org/SoftwareApplication)</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>name</span></td>
   <td><span>Angry Birds</span></td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>operatingSystem</span></td>
   <td><span>ANDROID</span></td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>applicationCategory</span></td>
   <td><span>GameApplication (http://schema.org/GameApplication)</span></td>
  </tr>
  <tr>
   <td colspan="1" rowspan="3">itemscope</td>
   <td>itemprop[itemtype]</td>
   <td colspan="2" rowspan="1"><span>aggregateRating</span> [<span>AggregateRating</span>]</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>ratingValue</span></td>
   <td><span>4.6</span></td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>ratingCount</span></td>
   <td><span>8864</span></td>
  </tr>
  <tr>
   <td colspan="1" rowspan="3">itemscope</td>
   <td>itemprop[itemtype]</td>
   <td colspan="2" rowspan="1"><span>offers</span> [<span>Offer</span>]</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>price</span></td>
   <td><span>1.00</span></td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td><span>priceCurrency</span></td>
   <td><span>USD</span></td>
  </tr>
 </tbody>
</table>
</div>
</div>
</div>
</div>
</div>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('HTML', '', '100', '', 'Web/HTML/Microdata') }}</p>

<div class="note">
<p><strong>Note</strong>: A handy tool for extracting microdata structures from HTML is Google's <a href="https://developers.google.com/search/docs/guides/intro-structured-data">Structured Data Testing Tool</a>. Try it on the HTML shown above.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Supported in Firefox 16. Removed in Firefox 49.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Global_attributes">Global Attributes</a></li>
</ul>

<p>{{QuickLinksWithSubpages("/en-US/docs/Web/HTML")}}</p>
